--SpineActionInfo spine动作命名、事件命名
local M = {
    --战斗技能动作名
    skillActionInfo = {
        fire_down_to_up = "fire_down_to_up", --下方攻击上方
        fire_up_to_down = "fire_up_to_down", --上方攻击下方
    },

    --战斗受击动作名
    hurtActionInfo = {
        src = "eo90001",--默认受击效果资源
        one = "one", --单一玩家受击
    },

    --战斗技能受击表现事件帧名
    skillHurtEvent = {
        hurt1 = "hurt1",--一号位受击事件名
        hurt2 = "hurt2",--二号位受击事件名
        hurt3 = "hurt3",--三号位受击事件名
        hurt4 = "hurt4",--四号位受击事件名
        hurt5 = "hurt5",--五号位受击事件名--伤害飘字在该事件帧中表现
    },

    --战斗回合动画
    fightRoundInfo = {
        src = "eo10003",--资源名
        normal = "static",--正常状态
        bit = "bit",--个位翻动
        whole = "whole",--个位十位都翻动
    },

    --技能震屏事件帧名
    skillShakeEvent = {
        skillShake_h = "skillShake_h",--水平方向震屏
        skillShake_v = "skillShake_v",--垂直方向震屏
        skillShake_hv = "skillShake_hv",--水平和垂直方向震屏
    },

    --技能事件帧
    skillUnderEffectEvent = "under_",--技能播放人物脚底特效触发事件帧名 under_xxx
    skillParticleEvent  = "emitter_", --技能播放粒子触发事件帧名 emitter_xxx
    skillParticleBone  = "emitter", --技能播放粒子位置的骨络名

    --角色动作名
    roleActionInfo = {
        stay = "stay", --站立待机
        stay1 = "stay1",--特殊待机1
        attack = "attack", --攻击动作
        hurt = "hurt", --受击动作
        walk = "walk", --行走动作
        die = "die",--死亡动作
        vehicle = "vehicle",--载具动作
        fire_down_to_up = "fire_down_to_up", --下方攻击上方
        fire_up_to_down = "fire_up_to_down", --上方攻击下方
    },

    --挖宝小游戏，企鹅的动作
    SmallGamePenguin={
        digdown="digdown",--挖掘动作
        stay="stay",--站立待机
        walkdown="walkdown",--往下走
        walkup="walkup",--往上走
        die="die",--死亡动作
    },

    --建筑解锁动画
    buildingUnlockInfo = {
        src = "eo00001",--资源名
        lock = "lock",--锁住
        tipsAction = "tips",--提示
        buildingUnlockAction = "unlock",--建筑解锁动画
    },

    --建筑升级动画
    buildingUpgradeInfo = {
        src = "eu20009",--资源名
        show = "animation1" --显示
    },

    --祈福动画
    blessingEffectInfo = {
        src = "eo00004",--资源名
        show = "animation1" --显示
    },

    --摇色子动作名
    diceActionInfo = {
        src = "eu01004",--资源名
        diceRoller = "diceRoller",--摇骰子动画
        dice = "dice",--结果1-6  dice1,dice2,dice3,dice4,dice5,dice6
    },

    --大地图路线动画
    mapRouteInfo = {
        src = "gr2001",--资源名
        down2up = "gostraight",--从下往上走
        down2Left = "turnleft",--从下往左走
        down2Right = "turnright",--从下往右走
    },
    
    --大地图建筑战斗动画
    buildingFightActionInfo = {
        src = "eo10001",--资源名
        show = "animation1" --显示
    },
    --场景过渡动画
    sceneLoadingInfo = {
        src = "eo40001",--资源名
        begin = "merge",--合并
        finish = "dispersal",--散开
    },

    --世界地图目标标记动画
    worldTargetInfo = {
        src = "eo00003",--资源名
        show = "animation1" --显示
    },

    --世界地图免战
    worldBuildImmuneBuffer = {
        src = "eo00002", --资源名
        normal = "yellow_loop", --黄色循环
        danger = "red_loop", --红色循环
        changeDanger = "change", --变换
        disappear = "disappear", --消失
    },

    --员工装备
    staffEquip = {
        src = "eu20008", --资源名
        blueTip = "blue_tip", --蓝色提示
        yellowTip = "yellow_tip", --黄色提示
        compose = "synthesis", --合成成功
        fail = "fail", --合成失败
    },

    --员工技能解锁
    staffUnlockSkill = {
        src = "eu20013",
        show = "animation1",
    },

    --员工卡疲劳度
    staffCardTire = {
        src = "eu20021",
        show = "animation1",
    },

    --员工图标疲劳度
    staffIconTire = {
        src = "eu20022",
        show = "animation1",
    },

    --员工图标合成
    staffIconMerge = {
        src = "eu20004",
        show = "tips",
    },

    --世界地图小财神
    worldMammonInfo = {
        src = "ca003", --资源名
        show = "appear", --显示
        hide = "disappear", --消失
        stay = "stay",--待机
    },

    --界面财神
    uiMammonInfo = {
        src = "ca002", --资源名
        show = "stay", --显示
    },

    --场景特效小车、小人
    sceneCarRoleInfo = {
        src = "eu20017", --资源名
        --动作名为 名称_方向 e.g: car1_dowm , car1_up ,people1_down,people1_up
    },

    --场景特效海浪
    sceneSeaWaveInfo = {
        src = "eu20018", --资源名
        up = "up", --显示
        down = "down", --显示
    },

    --主界面任务栏
    mainScreenTaskTap = {
        src = "eu20010", --资源名
        show = "animation1", --显示
    },

    --抽卡
    drawCard = {
        bg={
            src="eu91002",
            small="animation1",
            big="animation2",
        }
    },
    --身份升级的气球
    identity = {
        src="eu20020",
        show="animation1",
    },

    --排行榜LED
    arenaLEDInfo = {
        src="eu20023",
        show="animation1",
    },

}

return M